using SecureShopListImplement.Models;

namespace SecureShopListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Facilities> Facilitiess { get; set; }
        public List<Order> Orders { get; set; }
        public List<Secure> Secures { get; set; }
        public List<Client> Clients { get; set; }
        public List<Implementer> Implementers { get; set; }
        public List<MessageInfo> MessageInfos { get; set; }

        private DataListSingleton()
        {
            Facilitiess = new List<Facilities>();
            Orders = new List<Order>();
            Secures = new List<Secure>();
            Clients = new List<Client>();
            MessageInfos = new();
            Implementers = new();
        }

        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}